# dingdang


[![npm version](https://img.shields.io/npm/v/dingdang.svg?colorB=007ec6&style=flat-square)](https://www.npmjs.com/package/dingdang)


- 简化Redux、React。
- 尽可能的避免营造全新的概念。
- 上手简单

# 一分钟快速上手

```javascript

//一站式引入
import {actions, connect, createModel, React, render} from "dingdang";

//创建model
createModel({
    name: 'test',
    state: {
        message: 'hello world'
    },
    reducer: {
        onChangeMessageToChina: (state, action) => {
            const {payload: {newMessage}} = action;
            return {...state, message: newMessage}
        }
    },
    effect: {}
})

//组件
class Hello extends React.Component {


    render() {

        const {message, onChangeMessageToChina} = this.props

        return (
            <div>
                <h1>{message}</h1>
                <button onClick={onChangeMessageToChina}>中文</button>
            </div>
        )
    }

}

//连接
const App = connect(
    function (store) {
        return store.test;
    },
    function (dispatch) {
        return {
            onChangeMessageToChina: () => dispatch(actions.test.onChangeMessageToChina({newMessage: "你好，世界！"}))
        }
    }
)(Hello)

//启动
render(
    <App/>,
    document.querySelector("#app")
)

```

# 事例项目

- [counter](https://github.com/CN-YUANYU/dingdang/tree/master/example/counter)
- [basic](https://github.com/CN-YUANYU/dingdang/tree/master/example/basic)