"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.asyncMiddleware = undefined;

var _effect = require("./effect");

var asyncMiddleware = function asyncMiddleware(_ref) {
    var dispatch = _ref.dispatch,
        getState = _ref.getState;
    return function (next) {
        return function (action) {
            var result = next(action);

            var effectResult = void 0;
            if (typeof _effect.effects[action.type] == 'function') {
                effectResult = _effect.effects[action.type](getState, action, dispatch);
            }

            return effectResult || result;
        };
    };
}; /**
    * Created by yuany on 2017/8/26.
    */

exports.asyncMiddleware = asyncMiddleware;