/**
 * Created by yuany on 2017/9/6.
 */

import {actions, connect, createModel, React, render} from "../../../dist/index";


createModel({
    name: 'test',
    state: {
        message: 'hello world'
    },
    reducer: {
        onChangeMessageToChina: (state, action) => {
            const {payload: {newMessage}} = action;
            return {...state, message: newMessage}
        }
    },
    effect: {}
})


class Hello extends React.Component {


    render() {

        const {message, onChangeMessageToChina} = this.props

        return (
            <div>
                <h1>{message}</h1>
                <button onClick={onChangeMessageToChina}>中文</button>
            </div>
        )
    }

}

const App = connect(
    function (store) {
        return store.test;
    },
    function (dispatch) {
        return {
            onChangeMessageToChina: () => dispatch(actions.test.onChangeMessageToChina({newMessage: "你好，世界！"}))
        }
    }
)(Hello)

render(
    <App/>,
    document.querySelector("#app")
)