/**
 * Created by yuany on 2017/7/19.
 */

const webpack = require('webpack')
const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');


const entry = [
    "./src/index.js",
];

const output = {
    path: path.resolve(__dirname, 'dist'),
    filename: 'bundle-[hash:8].js'
}

const plugins = [
    new HtmlWebpackPlugin({
        filename: 'index.html',
        template: './public/index.html'
    }),
    new webpack.HotModuleReplacementPlugin({}),
    new webpack.DefinePlugin({
        HOST: JSON.stringify('http://127.0.0.1/')
    })
]

const webpackModule = {
    rules: [
        {
            test: /\.js$/,
            exclude: /(node_modules|bower_components)/,
            use: {
                loader: 'babel-loader',
                options: {
                    plugins: [
                        "syntax-jsx",
                        "transform-react-jsx",
                        "transform-es2015-spread",
                        "transform-react-display-name",
                        "transform-class-properties",
                        "transform-object-rest-spread",
                        "transform-export-extensions",
                        "transform-es2015-template-literals"
                    ]
                }
            }
        },
        {
            test: /\.(css|less)$/,
            use: [
                {loader: 'style-loader'},
                {loader: 'css-loader'},
                {loader: 'less-loader'}
            ]
        },
        {
            test: /\.(png|jpg)$/,
            use: [
                {loader: 'file-loader',},
                {loader: 'url-loader', options: {limit: 1024}},
            ]
        }
    ]
}

const devServer = {
    contentBase: path.resolve(__dirname, 'dist'),
    compress: true,
    host: "0.0.0.0",
    port: 1212,
    hot: true,
}


module.exports = {
    entry, output, plugins, devServer, module: webpackModule
}